Skip to content

NonRegCc⁠

Perform various operations for Symitar parameters.

Operations⁠

getNonRegCcSelectFields⁠

POST

Execute the persistent ParameterService getNonRegCcSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getNonRegCcSelectFields
POST /nexum/627/persistent/parameter/getNonRegCcSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllNonRegCcFields": true,
    "NonRegCcFields": {
      "AggregateException": true,
      "ExceptionHoldDays": true,
      "ExceptionWarnings": true,
      "HoldDays": true,
      "HoldOvrWarnings": true,
      "ExcludeLoanTypes": true,
      "ExcludeSavingsTypes": true,
      "Version_2": "string"
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateNonRegCcByID⁠

POST

Execute the persistent ParameterService updateNonRegCcByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateNonRegCcByID
POST /nexum/627/persistent/parameter/updateNonRegCcByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "NonRegCcFields": {
    "AggregateException": 0,
    "ExceptionHoldDays": 0,
    "ExceptionWarnings": {
      "Bit": [
        0
      ]
    },
    "HoldDays": 0,
    "HoldOvrWarnings": {
      "Bit": [
        0
      ]
    },
    "ExcludeLoanTypes": {
      "Bit": [
        0
      ]
    },
    "ExcludeSavingsTypes": {
      "Bit": [
        0
      ]
    },
    "Version_2": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}